Subject: RE: [rohc] Insufficient bits to send Unscaled TS in UO-1-ID + ext 3

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Mon, 14 Oct 2002 09:52:22 +0200

Sukanta & Vick,

> > > Sukanta:
> > > I am faced with the problem that a maximum of 29 bits of TS
> > > can be sent using UO-1-ID + ext3.

This seems to be true. However, what about using UO-1-TS, and
send the IP-ID in ext3?

> > > Here is my understanding of RFC 3095 (Profile 1) and ROHC
> > > implementors guide. UO-1-ID + ext3 is used to compress a
> > > transient change in packet stream, without updating the
> > > context (except TS, IP-ID and SN).

Yes, this is a correct interpretation of OU-1* packets.

> > > I want to send Unscaled TS using ext3 for a UO-1-ID packet.
> > > However it is only possible to send maximum of 29 bits. If I
> > > make use of another packet type (UOR-2-TS) it will result in
> > > context update. How then does the compressor send the
> > > Unscaled TS.

> > Vick:
> > Sending a (UO-1-ID + ext3) or a (UOR-2-TS) would have the
> > same context-updating effect. If you need to send 32-bits of
> > unscaled TS, sending and IR-DYN could be one (perhaps less
> > efficient) solution.

The updating properties of UO-1* and UOR-2 DO DIFFER, please
see RFC3095 page 81 and 83 "Updating properties:".

> Sukanta: 
> Someone please explain section 4.9 and 4.10 of the 
> implementor's guide.

I think Peter will have to explain what these sections really
clarify. To me, 3095 seems to be clear in this regard.

> My understanding is that if a value such as the TTL changes while
> the compressor is in FO state, then the new TTL value can be sent
> to the decompressor using UO-1-ID + ext3. This would not modify
> the value of TTL in the context at the decompressor side. Once the
> TTL value has returned to the original one, the compressor does
> NOT need to go through the confidence building phase, by sending
> the TTL value again.

I totally agree, although I would not limit the statement to
UO-1-ID+ext3, but say UO-1*+ext3.

Cheers,
/L-E
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: [email-masked] (Sukanta Kumar Hazra)
Date: Mon, 14 Oct 2002 17:00:39 +0800

Erik,

> This seems to be true. However, what about using UO-1-TS, and

UO-1-TS cannot carry an extension header.

> UO-1-ID+ext3, but say UO-1*+ext3.

Again, only UO-1-ID (amongst the UO-1*) can carry and extension header.

Thus it seems that it is not possible to send TS (Unscaled) in ext3
without updating context(TTL etc).

Regards,
Sukanta

-- 
--------------------------------------------------------------------
Sukanta Kumar Hazra <[email-masked]>      
Institute for Communications Research
PGP-KEY: http://www.icr.a-star.edu.sg/~sukanta/skhkey.asc
PGP-ID: 0x8E084AD5 
Key-Fingerprint: 9C0D B00C C62A 7059 5314  99FC CE90 478A 8E08 4AD5
--------------------------------------------------------------------
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc